# $Revision: 1.3 $, $Date: 2012/01/10 12:12:25 $
Summary:	git-bridgesvn - a git-svn without altering the commit hashes
Name:		git-bridgesvn
Version:	0.1
Release:	0.20120109.2
License:	LGPL v2+
Group:		Development/Version Control
Source0:	%{name}.tar.gz
# Source0-md5:	51b90ae4f91de5077d2977214f06e7c5
URL:		https://github.com/boris-unterer/Git-SVN-Bridge/
BuildRequires:	git-core
Requires:	git-core
Requires:	perl-Encode
Requires:	perl-subversion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		git_libdir	%(git --exec-path)

%description
git-bridgesvn supports a maintainer model, where one maintainer
revises the pushes and fetches to and from SVN, but the resultant git
repository can be shared with other git users.

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D git-bridgesvn.perl $RPM_BUILD_ROOT%{git_libdir}/git-bridgesvn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{git_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: git-bridgesvn.spec,v $
Revision 1.3  2012/01/10 12:12:25  pluto
- remove BA: noarch (this noarch perl script goes into arch-dependent git libdir), release 2.

Revision 1.2  2012/01/09 20:14:15  pluto
- better rpm group.

Revision 1.1  2012/01/09 20:09:39  pluto
- another git-svn wrapper without altering the commit hashes.
  much more usable in svn/git teams then classic one.
